## org.apache.mahout.clustering.spectral
Class UnitVectorizerJob

    java.lang.Object
      org.apache.mahout.clustering.spectral.UnitVectorizerJob

    public final class UnitVectorizerJob

extends Object

Given a DistributedRowMatrix, this job normalizes each row to unit vector length. If the input is a matrix U, and the output is a matrix W, the job follows:

`v_ij = u_ij / sqrt(sum_j(u_ij * u_ij))`

Nested Class Summary
`static class` `UnitVectorizerJob.UnitVectorizerMapper`

Method Summary
`static void` `runJob(org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### runJob

    public static void runJob(org.apache.hadoop.fs.Path input,
                              org.apache.hadoop.fs.Path output)
                       throws IOException,
                              InterruptedException,
                              ClassNotFoundException

  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.